# Archetypes imports
from Products.Archetypes.atapi import *

# Product imports
from Products.specialselection.config import PROJECTNAME
from combo import ComboWidget

colors = ['red', 'green', 'blue' ]

# Schema definition
schema = BaseSchema.copy() + Schema((
    StringField('FavColor',
        vocabulary = colors,
        default = colors[2],
        widget = ComboWidget(format = 'radio', ),
        ),
    ))

class specialselection(BaseContent):
    "Demonstrating special widgets, macros et al."

    schema = schema
    _at_rename_after_creation = True

registerType(specialselection, PROJECTNAME)
